> 1 <

Автор Сообщение

BulKonst

Members


Статус

3 сообщений

Где: Russia
Род занятий:
Возраст:

#4662   2011-09-18 20:58 GMT+3 часа(ов)      
Добрый день подскажите пожалуйста!
Купил книгу Полущука, только сел за изучение VisualLisp сразу столкнулся с проблеммой:
- Запускаю AutoCad с новым документом
- Пишу в Lisp: (command "_.line" '(0 0) '(1000 0) '(1000 6) '(0 6) "")
- Загрузка в октивное окно редактора: Все хорошо нарисовано.
- То, что нарисовано удаляю из AutoCad
- Не меняя текст программы, загрузка в октивное окно редактора: Все плохо нарисовано! И в большинстве случаев по разному.
- Создаю новый документ AutoCad
- Не меняя текст программы, загрузка в октивное окно редактора: Опять все хорошо.

Почему в новом докуенте AutoCad все работает, а стои удалить что-нибудь из нарисованного - не работает?
Может есть способы решения?

Заранее благодарен?

BulKonst

Members


Статус

3 сообщений

Где: Russia
Род занятий:
Возраст:

#4670   2011-09-21 14:54 GMT+3 часа(ов)      
Вроде разобрался!
entmake - создает новый примитив по списку
List - формируест список списков параметров

(entmake (list
'(0 . "LWPOLYLINE") ;тип примитива
'(100 . "AcDbEntity") ;Маркер подкласса
'(100 . "AcDbPolyline") ;Маркер подкласса
'(90 . 4) ;кол-во вершин
'(10 0.0 0.0 0.0) ;1-я точка
'(10 1000.0 0.0 0.0) ;2-я точка
'(10 1000.0 6.0 0.0) ;3-я точка
'(10 0.0 6.0 0.0) ;4-я точка
'(70 . 1) ;Замкнуть
))

Не совсем понятно что такое "AcDbEntity" и "AcDbPolyline" и совсем непонятно почему не работает команда Command
Может кто разъяснит?
> 1 <


Онлайн :

0 пользователь(ей), 9 гость(ей) :




Реклама на сайте: